<script>
    import { tasks } from "../stores.js";
    import Btn from "./btn.svelte";
    export let id;

    let task;

    tasks.subscribe((tasks) => {
        task = tasks[id];
    });

    function updateTask() {
        tasks.update((e) => {
            e[id].exec = !e[id].exec;
            return e;
        });
    }
</script>

<div class="task">
    {#if task.exec}
        <span class="exec_succes">👍</span>
        <span class="s_task exec" on:click={updateTask}>{task.task}</span>
    {:else}
        <span class="exec_succes" />
        <span class="s_task" on:click={updateTask}>{task.task}</span>
    {/if}
    <Btn inBtn="x" taskId={id} />
</div>

<style>
    .exec_succes {
        margin: 15px;
        min-width: 10px;
    }

    .task {
        background-color: rgb(48, 243, 9);
        margin: 5px;
        max-height: 10vh;
        display: flex;
        width: 80%;
        border: 1px solid rgb(10, 10, 10);
        border-radius: 5px;
        justify-content: space-between;
        align-items: center;
        margin: 0px 5px;
        cursor: pointer;
    }

    .s_task {
        text-align: center;
        width: 70%;
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .exec {
        text-decoration: line-through;
    }
</style>
